Page 1 of 2 12 LastLast
Results 1 to 10 of 15

Thread: Upgrading from 16.04.7 LTS AWS server keeps failing

  1. #1
    Join Date
    Dec 2013
    Beans
    10

    Upgrading from 16.04.7 LTS AWS server keeps failing

    I have an AWS EC2 server that I keep trying to upgrade and I keep failing.

    Here are the steps I try:

    Code:
    sudo apt-get update
    sudo apt-get upgrade
    sudo apt-get dist-upgrade
    sudo do-release-upgrade
    Once I do the last command I go through the prompts and then I get this error...

    Code:
    Broken landscape-common:amd64 Depends on python3-twisted [ amd64 ] < none -> 17.9.0-2ubuntu0.1 > ( python )  Considering python3-twisted:amd64 1 as a solution to landscape-common:amd64 9999
        Reinst Failed because of python3-zope.interface:amd64
      MarkKeep python3-twisted [ amd64 ] < none -> 17.9.0-2ubuntu0.1 > ( python ) FU=0
      Considering python3-twisted:amd64 1 as a solution to landscape-common:amd64 9999
    Done
    
    
    Traceback (most recent call last):
      File "/tmp/ubuntu-release-upgrader-a7x268x1/bionic", line 8, in <module>
        sys.exit(main())
      File "/tmp/ubuntu-release-upgrader-a7x268x1/DistUpgrade/DistUpgradeMain.py", line 238, in main
        if app.run():
      File "/tmp/ubuntu-release-upgrader-a7x268x1/DistUpgrade/DistUpgradeController.py", line 2072, in run
        return self.fullUpgrade()
      File "/tmp/ubuntu-release-upgrader-a7x268x1/DistUpgrade/DistUpgradeController.py", line 1981, in fullUpgrade
        if not self.askDistUpgrade():
      File "/tmp/ubuntu-release-upgrader-a7x268x1/DistUpgrade/DistUpgradeController.py", line 1153, in askDistUpgrade
        changes = self.calcDistUpgrade()
      File "/tmp/ubuntu-release-upgrader-a7x268x1/DistUpgrade/DistUpgradeController.py", line 1120, in calcDistUpgrade
        if not self.cache.installTasks(self.tasks):
      File "/tmp/ubuntu-release-upgrader-a7x268x1/DistUpgrade/DistUpgradeCache.py", line 856, in installTasks
        pkg.mark_install()
      File "/usr/lib/python3/dist-packages/apt/package.py", line 1356, in mark_install
        fixer.resolve(True)
    SystemError: E:Unable to correct problems, you have held broken packages.
    Error in sys.excepthook:
    Traceback (most recent call last):
      File "/usr/lib/python3/dist-packages/problem_report.py", line 497, in add_to_existing
        self.write(f)
      File "/usr/lib/python3/dist-packages/problem_report.py", line 450, in write
        block = f.read(1048576)
      File "/usr/lib/python3.5/codecs.py", line 321, in decode
        (result, consumed) = self._buffer_decode(data, self.errors, final)
    UnicodeDecodeError: 'utf-8' codec can't decode byte 0x8b in position 1: invalid start byte
    
    
    Original exception was:
    Traceback (most recent call last):
      File "/tmp/ubuntu-release-upgrader-a7x268x1/bionic", line 8, in <module>
        sys.exit(main())
      File "/tmp/ubuntu-release-upgrader-a7x268x1/DistUpgrade/DistUpgradeMain.py", line 238, in main
        if app.run():
      File "/tmp/ubuntu-release-upgrader-a7x268x1/DistUpgrade/DistUpgradeController.py", line 2072, in run
        return self.fullUpgrade()
      File "/tmp/ubuntu-release-upgrader-a7x268x1/DistUpgrade/DistUpgradeController.py", line 1981, in fullUpgrade
        if not self.askDistUpgrade():
      File "/tmp/ubuntu-release-upgrader-a7x268x1/DistUpgrade/DistUpgradeController.py", line 1153, in askDistUpgrade
        changes = self.calcDistUpgrade()
      File "/tmp/ubuntu-release-upgrader-a7x268x1/DistUpgrade/DistUpgradeController.py", line 1120, in calcDistUpgrade
        if not self.cache.installTasks(self.tasks):
      File "/tmp/ubuntu-release-upgrader-a7x268x1/DistUpgrade/DistUpgradeCache.py", line 856, in installTasks
        pkg.mark_install()
      File "/usr/lib/python3/dist-packages/apt/package.py", line 1356, in mark_install
        fixer.resolve(True)
    SystemError: E:Unable to correct problems, you have held broken packages.
    === Command detached from window (Wed Oct 28 00:45:53 2020) ===
    === Command terminated with exit status 1 (Wed Oct 28 00:46:03 2020) ===

  2. #2
    Join Date
    May 2010
    Beans
    1,074

    Re: Upgrading from 16.04.7 LTS AWS server keeps failing

    What is the output of
    Code:
    apt-cache policy landscape-common:amd64
    Thanks

  3. #3
    Join Date
    Dec 2013
    Beans
    10

    Re: Upgrading from 16.04.7 LTS AWS server keeps failing

    Code:
    ubuntu@ip:~$ apt-cache policy landscape-common:amd64
    landscape-common:
      Installed: (none)
      Candidate: 16.03-0ubuntu2.16.04.8
      Version table:
         16.03-0ubuntu2.16.04.8 500
            500 http://us-east-1.ec2.archive.ubuntu.com/ubuntu xenial-updates/main amd64 Packages
         16.03-0ubuntu2 500
            500 http://us-east-1.ec2.archive.ubuntu.com/ubuntu xenial/main amd64 Packages

  4. #4
    Join Date
    Dec 2013
    Beans
    10

    Re: Upgrading from 16.04.7 LTS AWS server keeps failing

    Anyone got any ideas for me to try here?

  5. #5
    Join Date
    Jul 2008
    Location
    The Left Coast of the USA
    Beans
    Hidden!
    Distro
    Kubuntu

    Re: Upgrading from 16.04.7 LTS AWS server keeps failing

    Do you have any PPAs in use?
    Please read The Forum Rules and The Forum Posting Guidelines

    A thing discovered and kept to oneself must be discovered time and again by others. A thing discovered and shared with others need be discovered only the once.
    This universe is crazy. I'm going back to my own.

  6. #6
    Join Date
    Dec 2013
    Beans
    10

    Re: Upgrading from 16.04.7 LTS AWS server keeps failing

    Nope, I dont think so.

  7. #7
    Join Date
    Jul 2008
    Location
    The Left Coast of the USA
    Beans
    Hidden!
    Distro
    Kubuntu

    Re: Upgrading from 16.04.7 LTS AWS server keeps failing

    Pinned packages? Third party python packages?
    Please read The Forum Rules and The Forum Posting Guidelines

    A thing discovered and kept to oneself must be discovered time and again by others. A thing discovered and shared with others need be discovered only the once.
    This universe is crazy. I'm going back to my own.

  8. #8
    Join Date
    Dec 2013
    Beans
    10

    Re: Upgrading from 16.04.7 LTS AWS server keeps failing

    Nope pretty sure I have a pretty vanila set up. Other than customizing my nginx configs.

    Is there any commands I can run to double check? If not worse case I do a back up and try and if it fails I can restore back up.

  9. #9
    Join Date
    Dec 2013
    Beans
    10

    Re: Upgrading from 16.04.7 LTS AWS server keeps failing

    Still running into issues:

    I tried a sudo
    Code:
    apt-get -f install
    Any here were my results:

    Code:
    ubuntu@ip:~$ sudo apt-get -f install
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    The following packages were automatically installed and are no longer required:
      javascript-common jsonlint libargon2-0 libjs-excanvas libvpx3 libzip5 linux-aws-headers-4.4.0-1054
      linux-aws-headers-4.4.0-1055 linux-aws-headers-4.4.0-1057 linux-aws-headers-4.4.0-1060 linux-aws-headers-4.4.0-1061
      linux-aws-headers-4.4.0-1062 linux-aws-headers-4.4.0-1065 linux-aws-headers-4.4.0-1066 linux-aws-headers-4.4.0-1069
      linux-aws-headers-4.4.0-1070 linux-aws-headers-4.4.0-1072 linux-aws-headers-4.4.0-1074 linux-aws-headers-4.4.0-1075
      linux-aws-headers-4.4.0-1077 linux-aws-headers-4.4.0-1079 linux-aws-headers-4.4.0-1083 linux-aws-headers-4.4.0-1084
      linux-aws-headers-4.4.0-1085 linux-aws-headers-4.4.0-1087 linux-aws-headers-4.4.0-1088 linux-aws-headers-4.4.0-1090
      linux-aws-headers-4.4.0-1092 linux-aws-headers-4.4.0-1094 mercurial mercurial-common php-cli-prompt php-composer-semver
      php-composer-spdx-licenses php-json-schema php-symfony-console php-symfony-filesystem php-symfony-finder
      php-symfony-process
    Use 'sudo apt autoremove' to remove them.
    0 upgraded, 0 newly installed, 0 to remove and 38 not upgraded.

    I Also ran a
    Code:
    apt-mark showhold
    and it returned nothing.

    Anyone have any other ideas, I am really stuck on trying to upgrade my server here.

  10. #10
    Join Date
    Mar 2007
    Beans
    901

    Re: Upgrading from 16.04.7 LTS AWS server keeps failing

    Did you run
    Code:
    sudo apt autoremove
    as suggested?

    I suspect the problem is here
    Code:
    0 upgraded, 0 newly installed, 0 to remove and 38 not upgraded.

Page 1 of 2 12 LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •